import { jsx } from "react/jsx-runtime";
import { Subtract as Subtract$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Subtract = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Subtract", ...props, children: /* @__PURE__ */ jsx(Subtract$1, { weight: variant }) });
  }
);
Subtract.displayName = "Subtract";
Object.assign(Subtract, { isGdsIcon: true });
export {
  Subtract
};
